Summary: An easy to use templating engine in C
Name: libtemplate
Version: 1.5
Release: 4%{?dist}
License: BSD
Group: System Environment/Libraries
Source: http://www.lazarusid.com/download/libs/%{name}-%{version}.tar.gz
Patch0: libtemplate-1.5-rpm-opt-flags.patch
Patch1: libtemplate-1.5-build-shared-library.patch
Patch2: libtemplate-1.5-less_dgb_output.patch
Patch3: libtemplate-1.5-fix_mem_leaks.patch
URL: http://www.lazarusid.com/libtemplate.shtml
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl

%description
Libtemplate is an easy to use C interface that will let you use templates
thus allowing you to separate your business logic from your web interface in
your CGI scripts.

%package devel
Summary: Development libraries and header files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Libtemplate is an easy to use C interface that will let you use templates
thus allowing you to separate your business logic from your web interface in
your CGI scripts.

This package contains files to develop with libdvdcss.


# library name changed from 'template' to 'llt' to resolve conflicts with
# unixODBC package which also contains libtemplate in libdir; 'llt' is
# abbreviation for "Lazarus LibTemplate"
%define libname llt


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# template.h has Windows line endings
perl -pi -e's/\r$//;' template.h

%build
%{__make} %{?_smp_mflags} \
	RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
%{__rm} -fr $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}
%{makeinstall} \
	INSTALL_DIR=$RPM_BUILD_ROOT%{_prefix} \
	LIB_DIR=$RPM_BUILD_ROOT%{_libdir} \
	\
	LIBRARY_NAME="%{libname}"

# to live up to rpmlint expectations
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/lib%{libname}.so.%{version}
ln -s lib%{libname}.so.%{version} $RPM_BUILD_ROOT%{_libdir}/lib%{libname}.so
ln -s lib%{libname}.so.%{version} $RPM_BUILD_ROOT%{_libdir}/lib%{libname}.so.1

%post
test -x /sbin/ldconfig && /sbin/ldconfig || :

%postun
test -x /sbin/ldconfig && /sbin/ldconfig || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGELOG
%{_libdir}/lib%{libname}.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib%{libname}.a
%{_libdir}/lib%{libname}.so
%{_includedir}/*.h

%changelog
* Wed Apr  4 2007 Peter Hanecak <hany@hany.sk> 1.5-4
- patched some memory leaks

* Sun Apr  1 2007 Peter Hanecak <hany@hany.sk> 1.5-3
- patch to silence some debug output
- added %%{?dist} into spec
- little clean-up

* Sat Jun  3 2006 Peter Hanecak <hany@hany.sk> 1.5-2
- rebuild for Doors 9.0 (FC5)

* Thu Dec 16 2004 Peter Hanecak <hanecak@megaloman.sk> 1.5-1
- initial spec
